function UpdateMachineSn() {

  

    $.ajax({
        url: "/System/UpdateMachineSn",
        type: 'Post',
        cache: false,
       
        success: function (result) {
            if (result.code == 0) {
                location.href = location.href;
            }
            else {
                SetErrorMsg("更新机器码失败");
            }


        },
        error: function (e) {
            SetErrorMsg("更新机器码失败");
        }
    });    
}



function Register() {
    ClearErrorMsg();
    if ($("#LicenseSn").val().trim() == "") {
        $("#LicenseSn").addClass("redBorder");
        return;
    }
    if (!confirm("确定注册吗？")){
        return;
    }
    $.ajax({
        url: "/System/SetLicense",
        type: 'Post',
        cache: false,
        data: {
            machineSn: $("#MachineSn").html(), licenseKey: $("#LicenseSn").val()},
        success: function (result) {
            if (result.code == 0) {
                location.href = location.href;
            }
            else {
                SetErrorMsg("注册失败，您可能使用了无效的注册码。");
            }


        },
        error: function (e) {
            SetErrorMsg("注册失败，您可能使用了无效的注册码。");
        }
    });

}

 